Subject: Re: bug#44644: /tmp/emacs0/ not cleaned up upon exit

From: Andreas Schwab <[email-masked]>
Date: Tue, 24 Nov 2020 09:48:16 +0100

On Nov 24 2020, Lars Ingebrigtsen wrote:

> I didn't read the code closely enough -- emacs-server already does this,
> but only deletes the /tmp/emacs0/server socket, but leaves the directory
> behind.  As you say, there may be more than one server (with different
> names), so deleting the directory may fail, but the final Emacs that
> exits should successfully delete directory, at least, and I've added
> that to Emacs 28.

This creates a race, which breaks the creation of the server file.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."